Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 598061 - [abrt] crash in pitivi-0.13.4-2.fc13: pipeline.py:267:setState:PipelineError: Failure changing state of the gst.Pipeline
[abrt] crash in pitivi-0.13.4-2.fc13: pipeline.py:267:setState:PipelineError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:61ff7a05
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 06:50 EDT by Yassine ABID
Modified: 2011-06-27 13:10 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (876 bytes, text/plain)
2010-05-31 06:50 EDT, Yassine ABID
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 630705 None None None Never

  None (edit)
Description Yassine ABID 2010-05-31 06:50:38 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/pitivi
component: pitivi
executable: /usr/bin/pitivi
kernel: 2.6.33.4-95.fc13.x86_64
package: pitivi-0.13.4-2.fc13
reason: pipeline.py:267:setState:PipelineError: Failure changing state of the gst.Pipeline
release: Fedora release 13 (Goddard)

backtrace
-----
pipeline.py:267:setState:PipelineError: Failure changing state of the gst.Pipeline

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/ui/encodingdialog.py", line 142, in _recordButtonClickedCb
    self.addRecordAction()
  File "/usr/share/pitivi/python/pitivi/ui/encodingdialog.py", line 220, in addRecordAction
    self.pipeline.pause()
  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 293, in pause
    self.setState(STATE_PAUSED)
  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 267, in setState
    raise PipelineError("Failure changing state of the gst.Pipeline")
PipelineError: Failure changing state of the gst.Pipeline

Local variables in innermost frame:
res: <enum GST_STATE_CHANGE_FAILURE of type GstStateChangeReturn>
state: <enum GST_STATE_PAUSED of type GstState>
self: <pitivi.pipeline.Pipeline object at 0x2578310>
Comment 1 Yassine ABID 2010-05-31 06:50:41 EDT
Created attachment 418255 [details]
File: backtrace
Comment 2 DanielH1987 2010-08-04 16:31:58 EDT
Package: pitivi-0.13.4-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. opened a concatted DV Stream
2. software worked normally nevertheless this crash
3.
Comment 3 takuvata 2010-08-05 12:54:44 EDT
Package: pitivi-0.13.4-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Add one clip to timeline
2. Add second clip to timeline below firs one (so that they intersect)
3. That's it


Comment
-----
Ocurs everytime I try to put two clips in the timeline. Pitivi is effecively broken and non functional on Fedora at all. Tryed with motionJPEG and 3gp source clips, but I'am pretty sure result would be the same with anything.
Comment 4 Steve 2010-08-12 16:00:53 EDT
Package: pitivi-0.13.4-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
pitivi crashed at gstreamer..
Comment 5 Hicham HAOUARI 2010-08-19 19:03:15 EDT
Package: pitivi-0.13.4-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open pitivi
2.Import a video
3.Try to split it
Comment 6 Fedora Admin XMLRPC Client 2010-08-21 20:54:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Juanjo Marin 2010-09-14 14:33:53 EDT
Package: pitivi-0.13.4-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Using Pitivi, nothing special
Comment 8 Aidan Delaney 2010-09-27 05:04:56 EDT
This happens in pitivi-0.13.4-3.fc14 too.
Comment 9 Aidan Delaney 2010-09-27 05:13:58 EDT
I've pushed this upstream to

https://bugzilla.gnome.org/show_bug.cgi?id=630705
Comment 10 ncfiedler 2010-10-01 09:41:23 EDT
Package: pitivi-0.13.4-2.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
i imported an .ogv file to edit it. while importing the file, there was an error echoed like "one or more gstreamer errors occured!"
Comment 11 Steve 2010-11-09 15:54:42 EST
Please change version to 14!
Comment 12 Jeff Bastian 2010-11-10 12:16:40 EST
Package: pitivi-0.13.4-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Create a new project and add a clip
2. Drag the clip into the timeline starting at about 30 seconds
3. Move the clip back to 0 seconds
Comment 13 Pontus Alexander 2010-12-05 12:56:54 EST
Package: pitivi-0.13.4-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Imported clip
2. Trimmed it
3. Crash
Comment 14 Fedora Update System 2010-12-08 06:55:03 EST
pitivi-0.13.5-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pitivi-0.13.5-2.fc13
Comment 15 Thomas Spura 2011-01-28 05:50:47 EST
I rebuilded gstreamer-python with the patch from bug #634093 and everything seems to work fine now on fc13 with 0.13.4.

We should wait for Xavier to update fc13 too :)
(Just requested commit acces in pkgdb.)
Comment 16 Thomas Spura 2011-01-28 05:52:15 EST
(In reply to comment #15)
> I rebuilded gstreamer-python with the patch from bug #634093 and everything
> seems to work fine now on fc13 with 0.13.4.

Ok, it's better now for me, but still some crashes...
Comment 17 xeddvok7bd7464n2 2011-02-01 16:35:11 EST
Package: pitivi-0.13.4-3.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Pitivi was already running for several minutes
2. I moved a video object, then the crash happened (but actually I did not remark anything - there was just the message that some Gstreamer thing crashed)
Comment 18 Valentin Brémond 2011-04-04 17:32:57 EDT
Package: pitivi-0.13.4-3.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I opened a .mov file
2. I cut a small part of the video at the beginning
3. I moved the remaining video from its position to the beginning of the time line
4. Then the crash occured


Comment
-----
This crash also occurs when editing any other video file than .mov.
Comment 19 Bug Zapper 2011-06-02 08:38:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Fedora Admin XMLRPC Client 2011-06-20 16:56:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2011-06-20 16:57:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Fedora Admin XMLRPC Client 2011-06-20 17:05:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 23 Bug Zapper 2011-06-27 13:10:05 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.